Subject: Rural Sources: Magazines (3 of 6)

From: [email-masked] (Dave Sill)
Date: 4 Mar 1993 16:25:25 GMT

9N-2N-8N Newsletter, The
    154 Blackwood Lane 
    Stamford, CT  06903 
 
    "From the sample newsletter I have, it appears to be well done
    newsletter with a lot of information.  If anyone is contemplating
    using or restoring a 9N, 2N, 8N, or 8NAN, this would be a good
    place to spend $12.  They also have a large collection of shop
    manuals and other books for the Fords."  Donald Bowen

American Bee Journal
    Hamilton, IL  62341
    (217) 847-3324
 
    "Very technical for the professional beekeeper and scholar.
    Trying to include more for the hobbyist."  Donald Bowen

Angora and Milk Goat Journal
    Portland, Ore

Antique Power
    P.O. Box 838
    Yellow Springs, OH 45387
 
    Magazine about restoring old tractors.  Good source of information
    about parts and techniques.  Also names and addresses of single
    make clubs.

Angora Goat Quarterly 
    Michigan, address unknown

Aquaculture Magazine
    704-254-7334

    "A good source of advertisements from U.S. equipment suppliers.
    They have a reader response card you can send in for information
    from any of their advertisers.  It costs $21 / year for 6 issues
    sent to Canada (less I think for the U.S.).  There is also a
    yearly buyer's guide for $15."  Robert Enenkel

Back Home
    P.O. Box 370
    Mountain Home, NC 28758
    (704) 696-3838

    $16/year, $28/2 years; Visa, Mastercard, check

    Much of the former staff of Mother, still in North Carolina, has now
    banded together into a coop and has created a new magazine, BackHome.
    Its motto is "Hands-on and Down-to-Earth".
    
    It's great!  Especially the article on how to split wood without
    ruining your back.  And the car emergency kit.  And the inspiring
    youth garden to help feed the disadvantaged.  Look for it.  It
    comes out four times a year, on recycled paper.  (I didn't know
    that you could get such nice-feeling, good-printing recycled
    paper--I thought it was all limp grey stuff.) 

Backwoods

    "Very good "how to" journal. Didn't renew when price jumped from
    $6 to $20- something."  Steve Buchele

Coping with Turbulent Times
    For a free preliminary issue, send a long, stamped addressed
    envelope to:
        Coping with Turbulent Times
        c/o III
        Box 4630 SFA Sta.
        Nacogdoches, TX  75962
    Or send your U.S. mail address to me (INTERNET:
    [email-masked]) and I'll have a copy sent to you.  

Country
    These are basically picture books (with some really nice
    pictures), but they won't help you with your garden, tractor, etc.

Country Journal
    P.O. Box 392
    Mt. Morris, IL 61054-9957
    (800) 435-9610 or (815) 734-6309 in Illinois

    Not sure what the current rate is.

    Like Harrowsmith.  Also recommended.
    
Countryside & Small Stock Journal
    W8333 Doepke Rd,
    Waterloo, Wi.  53594
      or
    N2601 Winter Sports Rd
    Withee, WI 54498
    
    Published bi-monthly for $18/yr

    This rag contains a wealth of information for both the novice
    "would be" and the seasoned "back to the lander".  Write for a
    sample copy. 

    This magazine deals mainly with "homesteading" issues.  Written by
    the publishers but mainly by the readers.  Lots of gardening,
    livestock.  Minimal advertising. 

    "Too folksy, very very little science, lots of factlets."  Steve
    Buchele 

Dairy Goat Journal
    Upper Darby, PA

Engineers and Engines
    1118 N. Raynor Avenue
    Joliet, IL, 60435
 
    Magazine about antique gas and steam engines and tractors.  Good
    source of information about shows all over the country.
 
Farm and Ranch Living
    5400 S. 60th. St.
    Greendale, WI 53129

Gas Engine Magazine
    P.O. Box 328
    Lancaster, PA 17603
 
    Magazine about antique gas engines and tractors.  Good information
    about sources and techniques for restoring antique engines.
 
Gleanings in Bee Culture
    623 W. Liberty Street
    Medina, OH 44256
    216-725-6677

    "Aimed more to the smaller beekeeper and hobbyist.  Good solid
    usable articles."  Donald Bowen

Goats & Ewes Newsletter
    Federation Internationale de Laiterie
    Vergote 41, B-1040
    Belgium

Harrowsmith
    7 Queen Victoria Road
    Camden East, Ontario K0K 1J0

Harrowsmith Country Life
    Camden House Publishing.
    Ferry Road
    Charlotte, Vt 05445
    800-627-7009

    It's published six times per year (bimonthly) for $24/yr
    ($6/yr additional outside the U.S.).  The October '90 issue had
    a $12/yr subscription offer.

    Harrowsmith is a good mix of agriculture/gardening and
    miscellaneous "country" topics with a common thread of
    environmental concern.

    "Photography and writing are a class above all other magizines in
    this class."  Steve Buchele
    
Home Power Magazine
    POB 130
    Hornbrook, CA 96044-0130

    Bimonthly for $10/yr (3rd class mail)

    Solar PV, wind, water, &c.

    Printed on newsprint-stock using (they claim) only renewable
    energy.
    
    It's worth it for the ads alone (seems like anybody who's in the
    alternative energy trade advertises there).  The case studies
    (REAL peoples' REAL systems) are also very informative, usually
    with very thorough technical and economic analyses.

    "An excellent source of hands-on tips, real-world experience,
    product evaluations, etc, for alternate energy lifestyles."
    [email-masked]

Mother Earth News
    P.O. Box 3122
    Harlan, IA  51593-2188

    Regularly $18/yr (6 issues)

    "The Original Country Magazine"  Similar to H & CJ, but something
    about it rubs me the wrong way.  It has kind of a hippyish, flower
    child feel to it.  One should buy an issue and make their own
    decision, though.

    "The reborn M.E.N. is better than the slick one, but still not up
    to the 70s M.E.N."  Steve Buchele
    
Missouri Farm
    RT 1
    3903 W. Ridge Trail Rd.
    Clark, MO 65243
    314-687-3525

National Gardening Association

    "Tied for best gardening [magazine].  Best information source for
    new technology."  Steve Buchele

Natural Farmer
    (through NOFA)
    RFD#2
    Barre, MA 01005

    Comes with NOFA membership.

New England Farm Bulletin
    Box 147
    Cohasset MA 02025

    Not slick, though quite literary. Good classified ads and events
    listings, with heavy Massachusetts emphasis. 

New Farm
    Rodale Press
    33 E. Minor St.
    Emmaus, PA 18098

    "Too preachy about organic methods working on a large scale.
    Don't really trust the writers, nor the source."  Steve Buchele

New Zealand Journal of Agriculture
    New Zealand, address unknown

Organic Gardening
    Published by Rodale Press, address unknown

Progressive Farmer
    no further details

Ranch Magazine
    Texas, address unknown

Red Power
    Box 277
    Battle Creek, IA 51006
 
    Magazine for International Harvester collectors and enthusiasts.
    Good source for parts and information on the IHC collectors
    club.

Rural Heritage
    P.O. Box 516
    Albia, IA 52531
    (515) 932-5084

Small Farmer's Journal 
    POB 2905
    Eugene, OR 97402

    A voice of sustainable agriculture (as opposed to agribusiness).
    Especially oriented toward draft animals.  Good reading, restores
    faith in the future of agrarian lifestyles.

    This publication is mostly oriented towards old fashoned organic
    type farming but I've found it very useful.
    
    A quarterly that carries extensive articles about various aspects
    of owning and operating a small farm, as well as a lot of
    editorials and reader letters.

Successful Farming
    1716 Locust St.
    Des Moines, IA 50336

United Caprine News
    PO Drawer A
    Rotan, TX 79546

    $15/yr

    Packed with useful information and Linda Fink's humor column.

Utne Reader
    Subscriber Services
    P.O. Box 1974
    Marion, OH  43306-2074

    UR comes out once every two months.  The subscription price is $24
    in the US, $29 for Canada and Mexico, and $34 dollars elsewhere
    (these are all in US dollars).  The newstand price is $4 US.

    I recommend buying a copy on the newstand to peruse and getting
    one of the ubiquitous subscriber discount cards out of it.
    They'll save you 25% off the newstand price.
-- 
Dave Sill
Play: [email-masked]
Work: [email-masked]